数据
GET https://olinke.com/api/data/
curl --request GET \
--url 'https://olinke.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| type | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:email_collector, phone_collector, contact_collector, appointment_calendar。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:datum_id, datetime。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-17 11:20:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/data?page=1",
"last": "https://olinke.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/data?page=1"
}
}
GET https://olinke.com/api/data/{datum_id}
curl --request GET \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-17 11:20:59",
}
}
DELETE https://olinke.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \